Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_AttributeData

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectData
          oracle.ifs.server.S_AttributeData

All Implemented Interfaces:
  java.io.Serializable, LooselyBoundedCacheable

    public final class S_AttributeData

extends S_LibraryObjectData

An S_AttributeData contains the data of S_Attributes.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`static java.lang.Long` | `ATTRIBUTE_CLASSID` Magic number: the class id of CLASSOBJECTs.
`protected java.lang.Long` | `m_ClassDomainId` The resolved id of the ClassDomain attribute.
`protected boolean` | `m_ClassDomainResolved` Whether the ClassDomain attribute is resolved.
`protected java.lang.String` | `m_DatabaseObjectName` The resolved value of the DatabaseObjectName attribute.
`protected boolean` | `m_DatabaseObjectNameResolved` Whether the DatabaseObjectName attribute is resolved.
`protected int` | `m_Datalength` The resolved value of the Datalength attribute.
`protected boolean` | `m_DatalengthResolved` Whether the Datalength attribute is resolved.
`protected int` | `m_Datascale` The resolved value of the Datascale attribute.
`protected boolean` | `m_DatascaleResolved` Whether the Datascale attribute is resolved.
`protected int` | `m_Datatype` The resolved value of the Datatype attribute.
`protected boolean` | `m_DatatypeResolved` Whether the Datatype attribute is resolved.
`protected java.lang.String` | `m_Description` The resolved value of the Description attribute.
`protected boolean` | `m_DescriptionResolved` Whether the Description attribute is resolved.
`protected boolean` | `m_Indexed` The resolved value of the Indexed attribute.
`protected boolean` | `m_IndexedResolved` Whether the Indexed attribute is resolved.
`protected java.lang.String` | `m_Name` The resolved value of the Name attribute.
`protected boolean` | `m_NameResolved` Whether the Name attribute is resolved.
`protected int` | `m_ReferentialIntegrityRule` The resolved value of the ReferentialIntegrityRule attribute.
`protected boolean` | `m_ReferentialIntegrityRuleResolved` Whether the ReferentialIntegrityRule attribute is resolved.
`protected boolean` | `m_Required` The resolved value of the Required attribute.
`protected boolean` | `m_RequiredResolved` Whether the Required attribute is resolved.
`protected boolean` | `m_Settable` The resolved value of the Settable attribute.
`protected boolean` | `m_SettableResolved` Whether the Settable attribute is resolved.
`protected boolean` | `m_Unique` The resolved value of the Unique attribute.
`protected boolean` | `m_UniqueResolved` Whether the Unique attribute is resolved.
`protected boolean` | `m_Updateable` The resolved value of the Updateable attribute.
`protected boolean` | `m_UpdateableResolved` Whether the Updateable attribute is resolved.
`protected java.lang.Long` | `m_ValueDefaultId` The resolved id of the ValueDefault attribute.
`protected boolean` | `m_ValueDefaultResolved` Whether the ValueDefault attribute is resolved.
`protected java.lang.Long` | `m_ValueDomainId` The resolved id of the ValueDomain attribute.
`protected boolean` | `m_ValueDomainResolved` Whether the ValueDomain attribute is resolved.
`protected boolean` | `m_ValueDomainValidated` The resolved value of the ValueDomainValidated attribute.
`protected boolean` | `m_ValueDomainValidatedResolved` Whether the ValueDomainValidated attribute is resolved.

Fields inherited from class oracle.ifs.server.S_LibraryObjectData
`m_Attributes, m_ClassId, m_FullySelected, m_Id, m_Rsn`

Constructor Summary
`S_AttributeData(java.lang.Long id, java.lang.Long classId, AttributeValue[] attributes, boolean isFullySelected, S_LibrarySession session)` Constructs a S_AttributeData.

Method Summary
`protected S_ClassDomain` | `getClassDomain(S_LibrarySession session)` Gets the class domain of this attribute.
`java.lang.String` | `getDatabaseObjectName(S_LibrarySession session)` Gets the database object name of this attribute.
`int` | `getDatalength(S_LibrarySession session)` Gets the datalength of this attribute.
`int` | `getDatascale(S_LibrarySession session)` Gets the datascale of this attribute.
`int` | `getDatatype(S_LibrarySession session)` Gets the datatype of this attribute.
`java.lang.String` | `getDescription(S_LibrarySession session)` Gets the description of this attribute.
`java.lang.String` | `getName(S_LibrarySession session)` Gets the name of this attribute.
`int` | `getReferentialIntegrityRule(S_LibrarySession session)` Gets the referential integrity rule for this attribute.
`protected S_ValueDefault` | `getValueDefault(S_LibrarySession session)` Gets the value default of this attribute.
`protected S_ValueDomain` | `getValueDomain(S_LibrarySession session)` Gets the value domain of this attribute.
`boolean` | `isIndexed(S_LibrarySession session)` Gets whether values for this attribute are indexed.
`boolean` | `isRequired(S_LibrarySession session)` Gets whether values for this attribute are required.
`boolean` | `isSettable(S_LibrarySession session)` Gets whether values for this attribute are settable.
`boolean` | `isUnique(S_LibrarySession session)` Gets whether values for this attribute are unique.
`boolean` | `isUpdateable(S_LibrarySession session)` Gets whether values for this attribute are updateable.
`boolean` | `isValidateValueDomain(S_LibrarySession session)` Gets whether the value domain of this attribute is enforced.

Methods inherited from class oracle.ifs.server.S_LibraryObjectData
`added, canPurge, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, getAttribute, getAttribute, getAttributes, getClassId, getId, getRsn, isFullySelected, removed, resetSharedState, resetSharedState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_CLASSID

    public static final java.lang.Long ATTRIBUTE_CLASSID

  Description copied from class: `S_AttributeData`
  Magic number: the class id of CLASSOBJECTs.

  (Unpublished)

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `S_AttributeData`
  The resolved value of the Name attribute.

  (Unpublished)

### m_NameResolved

    protected boolean m_NameResolved

  Description copied from class: `S_AttributeData`
  Whether the Name attribute is resolved.

  (Unpublished)

### m_Datatype

    protected int m_Datatype

  Description copied from class: `S_AttributeData`
  The resolved value of the Datatype attribute.

  (Unpublished)

### m_DatatypeResolved

    protected boolean m_DatatypeResolved

  Description copied from class: `S_AttributeData`
  Whether the Datatype attribute is resolved.

  (Unpublished)

### m_Datalength

    protected int m_Datalength

  Description copied from class: `S_AttributeData`
  The resolved value of the Datalength attribute.

  (Unpublished)

### m_DatalengthResolved

    protected boolean m_DatalengthResolved

  Description copied from class: `S_AttributeData`
  Whether the Datalength attribute is resolved.

  (Unpublished)

### m_Datascale

    protected int m_Datascale

  Description copied from class: `S_AttributeData`
  The resolved value of the Datascale attribute.

  (Unpublished)

### m_DatascaleResolved

    protected boolean m_DatascaleResolved

  Description copied from class: `S_AttributeData`
  Whether the Datascale attribute is resolved.

  (Unpublished)

### m_Unique

    protected boolean m_Unique

  Description copied from class: `S_AttributeData`
  The resolved value of the Unique attribute.

  (Unpublished)

### m_UniqueResolved

    protected boolean m_UniqueResolved

  Description copied from class: `S_AttributeData`
  Whether the Unique attribute is resolved.

  (Unpublished)

### m_Required

    protected boolean m_Required

  Description copied from class: `S_AttributeData`
  The resolved value of the Required attribute.

  (Unpublished)

### m_RequiredResolved

    protected boolean m_RequiredResolved

  Description copied from class: `S_AttributeData`
  Whether the Required attribute is resolved.

  (Unpublished)

### m_Indexed

    protected boolean m_Indexed

  Description copied from class: `S_AttributeData`
  The resolved value of the Indexed attribute.

  (Unpublished)

### m_IndexedResolved

    protected boolean m_IndexedResolved

  Description copied from class: `S_AttributeData`
  Whether the Indexed attribute is resolved.

  (Unpublished)

### m_Settable

    protected boolean m_Settable

  Description copied from class: `S_AttributeData`
  The resolved value of the Settable attribute.

  (Unpublished)

### m_SettableResolved

    protected boolean m_SettableResolved

  Description copied from class: `S_AttributeData`
  Whether the Settable attribute is resolved.

  (Unpublished)

### m_Updateable

    protected boolean m_Updateable

  Description copied from class: `S_AttributeData`
  The resolved value of the Updateable attribute.

  (Unpublished)

### m_UpdateableResolved

    protected boolean m_UpdateableResolved

  Description copied from class: `S_AttributeData`
  Whether the Updateable attribute is resolved.

  (Unpublished)

### m_DatabaseObjectName

    protected java.lang.String m_DatabaseObjectName

  Description copied from class: `S_AttributeData`
  The resolved value of the DatabaseObjectName attribute.

  (Unpublished)

### m_DatabaseObjectNameResolved

    protected boolean m_DatabaseObjectNameResolved

  Description copied from class: `S_AttributeData`
  Whether the DatabaseObjectName attribute is resolved.

  (Unpublished)

### m_ClassDomainId

    protected java.lang.Long m_ClassDomainId

  Description copied from class: `S_AttributeData`
  The resolved id of the ClassDomain attribute.

  (Unpublished)

### m_ClassDomainResolved

    protected boolean m_ClassDomainResolved

  Description copied from class: `S_AttributeData`
  Whether the ClassDomain attribute is resolved.

  (Unpublished)

### m_ValueDomainId

    protected java.lang.Long m_ValueDomainId

  Description copied from class: `S_AttributeData`
  The resolved id of the ValueDomain attribute.

  (Unpublished)

### m_ValueDomainResolved

    protected boolean m_ValueDomainResolved

  Description copied from class: `S_AttributeData`
  Whether the ValueDomain attribute is resolved.

  (Unpublished)

### m_ValueDefaultId

    protected java.lang.Long m_ValueDefaultId

  Description copied from class: `S_AttributeData`
  The resolved id of the ValueDefault attribute.

  (Unpublished)

### m_ValueDefaultResolved

    protected boolean m_ValueDefaultResolved

  Description copied from class: `S_AttributeData`
  Whether the ValueDefault attribute is resolved.

  (Unpublished)

### m_ValueDomainValidated

    protected boolean m_ValueDomainValidated

  Description copied from class: `S_AttributeData`
  The resolved value of the ValueDomainValidated attribute.

  (Unpublished)

### m_ValueDomainValidatedResolved

    protected boolean m_ValueDomainValidatedResolved

  Description copied from class: `S_AttributeData`
  Whether the ValueDomainValidated attribute is resolved.

  (Unpublished)

### m_ReferentialIntegrityRule

    protected int m_ReferentialIntegrityRule

  Description copied from class: `S_AttributeData`
  The resolved value of the ReferentialIntegrityRule attribute.

  (Unpublished)

### m_ReferentialIntegrityRuleResolved

    protected boolean m_ReferentialIntegrityRuleResolved

  Description copied from class: `S_AttributeData`
  Whether the ReferentialIntegrityRule attribute is resolved.

  (Unpublished)

### m_Description

    protected java.lang.String m_Description

  Description copied from class: `S_AttributeData`
  The resolved value of the Description attribute.

  (Unpublished)

### m_DescriptionResolved

    protected boolean m_DescriptionResolved

  Description copied from class: `S_AttributeData`
  Whether the Description attribute is resolved.

  (Unpublished)

Constructor Detail

### S_AttributeData

    public S_AttributeData(java.lang.Long id,
                           java.lang.Long classId,
                           AttributeValue[] attributes,
                           boolean isFullySelected,
                           S_LibrarySession session)
                    throws IfsException

  Constructs a S_AttributeData.

  Parameters:
    `id` - the id
    `classId` - the class id
    `attributes` - an array of AttributeValues
    `isFullySelected` - whether `attributes` represents the full set of attributes
    `session` - the session
  Throws:
    `IfsException` - (IFS-30000) if the operation fails.

Method Detail

### getName

    public final java.lang.String getName(S_LibrarySession session)
                                   throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the name of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatatype

    public final int getDatatype(S_LibrarySession session)
                          throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the datatype of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the datatype
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatalength

    public final int getDatalength(S_LibrarySession session)
                            throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the datalength of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the datalength
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatascale

    public final int getDatascale(S_LibrarySession session)
                           throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the datascale of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the datascale
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isUnique

    public final boolean isUnique(S_LibrarySession session)
                           throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether values for this attribute are unique.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the attribute is unique
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isRequired

    public final boolean isRequired(S_LibrarySession session)
                             throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether values for this attribute are required.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the attribute is required
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isIndexed

    public final boolean isIndexed(S_LibrarySession session)
                            throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether values for this attribute are indexed.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the attribute is indexed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isSettable

    public final boolean isSettable(S_LibrarySession session)
                             throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether values for this attribute are settable.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the attribute is settable
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isUpdateable

    public final boolean isUpdateable(S_LibrarySession session)
                               throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether values for this attribute are updateable.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the attribute is updateable
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatabaseObjectName

    public final java.lang.String getDatabaseObjectName(S_LibrarySession session)
                                                 throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the database object name of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the database object name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getClassDomain

    protected final S_ClassDomain getClassDomain(S_LibrarySession session)
                                          throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the class domain of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the class domain
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getValueDomain

    protected final S_ValueDomain getValueDomain(S_LibrarySession session)
                                          throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the value domain of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the value domain
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getValueDefault

    protected final S_ValueDefault getValueDefault(S_LibrarySession session)
                                            throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the value default of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the value default
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isValidateValueDomain

    public final boolean isValidateValueDomain(S_LibrarySession session)
                                        throws IfsException

  Description copied from class: `S_AttributeData`
  Gets whether the value domain of this attribute is enforced.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    whether the value domain is enforced
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getReferentialIntegrityRule

    public final int getReferentialIntegrityRule(S_LibrarySession session)
                                          throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the referential integrity rule for this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the referential integrity rule
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDescription

    public final java.lang.String getDescription(S_LibrarySession session)
                                          throws IfsException

  Description copied from class: `S_AttributeData`
  Gets the description of this attribute.

  This is more efficient than calling `getAttribute`.

  Parameters:
    `session` - the session
  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD